### Method

# St Widget set_style_class_name

#### Declaration [src]

    void
    st_widget_set_style_class_name (
      StWidget* actor,
      const gchar* style_class_list
    )

#### Description [src]

Set the style class name list. `style_class_list` can either be `NULL`, for no classes, or a space-separated list of style class names. See also `st_widget_add_style_class_name()` and st_widget_remove_style_class_name().

Sets property | `St.Widget:style-class`

#### Parameters

`style_class_list`

  Type: `const gchar*`

  A new style class list string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.